<id>
Report to Moderator
</id>

<version>
1.4 SP
</version>

<mod info>
Adds a link in every post to allow users to report the post to a moderator.

Don't forget to upload rtm.gif to your images dir and ReportToMod.pl to your sources dir!

The user can enter a comment and a message with:

- Comment
- Subject of post
- Poster
- Reply # in thread
- Reporter
- Link to posting
- Link to the profile of poster and reporter

will be sent to every moderator of the corresponding board. Now sends to global mods/admins if there are no moderators.

If you already have "Report to Moderator" installed, uninstall it.

History:
1.4 SP: report send to moderator by instant message (al)

1.3 SP: text format improved in confirmation screen
1.3 SP: updated ReportToMod.pl (no boardmod changes) to correctly handle users with display names different from user names

1.2 SP: added some settings to 'Forum Preferences and Settings', under 'Send Mails using'. See the readme file for more info.
1.2 SP: reporting on guest posts fixed. previously when reporting on guest posts guest name and email was not sent in email.

1.1 SP: nicer confirmation display thanks to Gekko. Slight code changes to links.

1.0 SP: better support for boards without moderators added. if there are no moderators, the script sends emails to global mods (if there are any) or admins automatically.

0.7 SP: allows for bigger comments (text area instead of normal input)
0.7 SP: bug when sending emails fixed (sent two emails to moderators now only sends one)
0.7 SP: confirmation added prior to submitting comment
0.7 SP: confirmation screen added (after reports sent out to moderators)
0.7 SP: location of 'Report' link changed to top right of posts
0.7 SP: 'Report' link given an icon
0.7 SP: subs now located in seperate file -> ReportToMod.pl

0.6 SP: made compatible with Service Pack (Jalapeno)
0.6: Bugs fixed (thanks to Lost!)

0.5: First release
</mod info>

<author>
Originally by cae. Enhanced by al (alex_r@pisem.net).
</author>

<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>
$rtm{'1'} = "Report to Moderator";
$rtm{'2'} = "Report the post to the Moderators?";
$rtm{'3'} = "Enter your comment on the post by";
$rtm{'4'} = "Submit";
$rtm{'5'} = "by";
$rtm{'6'} = "Thread title";
$rtm{'7'} = "The offending post is number";
$rtm{'8'} = "  ";
$rtm{'9'} = "Comment by reporting user";
$rtm{'10'} = "Link to thread";
$rtm{'11'} = "Link to profile of offending member";
$rtm{'12'} = "Link to profile of reporting member";
$rtm{'13'} = "- is Guest";
$rtm{'14'} = "Thanks, your report has been sent to Moderators.";
$rtm{'15'} = "Back";
$rtm{'16'} = "";
$rtm{'17'} = "Send the report to Moderators, Global Mods then Admins who is available for a certain board";
$rtm{'18'} = "Send the report to Moderators";
$rtm{'19'} = "Send the report to Global Mods";
$rtm{'20'} = "Send the report to Admins";
$rtm{'21'} = "Send the report by e-mail";
$rtm{'22'} = "Send the report by instant message";
</add before>

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'rebuildmemlist') { require "$sourcedir/Admin.pl"; &RebuildMemList; }
</search for>

<add after>
	elsif ($action eq 'reporttm') { require "$sourcedir/ReportToMod.pl"; &ReportToModerator; }
	elsif ($action eq 'reporttm2') { require "$sourcedir/ReportToMod.pl"; &ReportToModerator2; }
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
~;
if ($mstate != 1)
{
$yymain .= qq~
</search for>

<add after>
                <a href="$cgi&action=reporttm&thread=$viewnum&id=$counter&subject=$msub&poster=$mname&username=$musername&email=$memail"><img src="$imagesdir/rtm.gif" alt="$rtm{'1'}" border="0"> <font size="1" class="imgwindowbg">$rtm{'1'}</font></a>$menusep
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
sub ModifySettings {
	&is_admin;
</search for>

<add after>
	my ($chainmail_chk,$rtmods_chk,$rtglobals_chk,$rtadmins_chk,$rt_mail,$rt_im);
	if ( $chain_mail eq '' ) { $chain_mail = 1; }
</add after>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add after>
	if ($chain_mail) { $chainmail_chk = ' checked'; }
	if ($auto_rtmods) { $rtmods_chk = ' checked'; }
	if ($auto_rtglobals) { $rtglobals_chk = ' checked'; }
	if ($auto_rtadmins) { $rtadmins_chk = ' checked'; }
	if ($auto_rtmail) { $rt_mail = ' checked'; }
	if ($auto_rtim) { $rt_im = ' checked'; }
</add after>

<search for>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'404'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
    <select name="mailtype" size=1>
    <option value="0"$mts1>$txt{'405'}
    <option value="1"$mts2>$txt{'406'}
    <option value="2"$mts3>Net::SMTP
    </select></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'17'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="chain_mail" $chainmail_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'18'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtmods" $rtmods_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'19'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtglobals" $rtglobals_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'20'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtadmins" $rtadmins_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'21'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtmail" $rt_mail></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'22'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtim" $rt_im></td>
  </tr><tr>
</add after>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>
	if ( $FORM{chain_mail} eq 'on' ) { $chain_mail = 1; } else { $chain_mail = 0; }
	if ( $FORM{auto_rtmods} eq 'on' ) { $auto_rtmods = 1; } else { $auto_rtmods = 0; }
	if ( $FORM{auto_rtglobals} eq 'on' ) { $auto_rtglobals = 1; } else { $auto_rtglobals = 0; }
	if ( $FORM{auto_rtadmins} eq 'on' ) { $auto_rtadmins = 1; } else { $auto_rtadmins = 0; }
	if ( $FORM{auto_rtmail} eq 'on' ) { $auto_rtmail = 1; } else { $auto_rtmail = 0; }
	if ( $FORM{auto_rtim} eq 'on' ) { $auto_rtim = 1; } else { $auto_rtim = 0; }
</add before>

<search for>
\$mailtype = $mailtype;					# Mail program to use: 0 = sendmail, 1 = SMTP, 2 = Net::SMTP
</search for>

<add after>
\$chain_mail = $chain_mail;				# If true reports will be sent up the chain of command (moderators, globals then admins)
\$auto_rtmods = $auto_rtmods;			# If true reports will be always sent to moderators
\$auto_rtglobals = $auto_rtglobals;			# If true reports will always be sent to global mods
\$auto_rtadmins = $auto_rtadmins;			# If true reports will always be sent to administrators
\$auto_rtmail = $auto_rtmail;			# If true reports will always be sent by mail
\$auto_rtim = $auto_rtim;				# If true reports will always be sent by instant message
</add after>